# ForC-db data use policy

ForC-db is an open access database, and we encourage use of the data for scientific research and educational purposes. Data may not be used for commercial purposes without written permission of the database PI (Dr. Kristina Anderson-Teixeira, Smithsonian Institution; teixeirak@si.edu). 

While all data currently contained in the database have been previously published, compilation of these data has represented a substantive effort on the part of database investigators. We consider it best practices to contact the principle investigator of ForC-db (Dr. Kristina Anderson-Teixeira, Smithsonian Institution; teixeirak@si.edu) along with any additional investigators identified in association with data used ('ForC_investigator' field in measurements table) to inform them of intended use of the data and to discuss potential collaboration. As of February 2016, Dr. Anderson-Teixeira is the point of contact for all records in the database; however, we anticipate that additional investigators will be added as they contribute to the database.

Publications using the database should acknowledge ForC-db as the intermediary source of the data and cite the publications listed below. Studies relying on data from ≤20 original publications contained within the database (listed in citations fields of the measurements table) should also cite those publications. Furthermore, studies relying on data from ≤10 previous data compilations (as listed in measurements table) should cite those publications. Publications should also acknowledge the efforts of the original researchers who collected the data.

## Database citations:

* Anderson-Teixeira, K.J. *et al.* 2016. Carbon dynamics of mature and regrowth tropical forests derived from a pantropical database (TropForC-db). Global Change Biology. http://dx.doi.org/10.1111/gcb.13226 

* Anderson-Teixeira, K.J. *et al.* 2016. Data from: Carbon dynamics of mature and regrowth tropical forests derived from a pantropical database (TropForC-db). Dryad Digital Repository.
http://dx.doi.org/10.5061/dryad.t516f
